Ns_Uid(3)

NAME
Ns_GetGid, Ns_GetUid, Ns_GetUserGid, Ns_GetUserHome - Get info about users and groups on Unix system

SYNOPSIS
#include "ns.h"

int
Ns_GetGid(char *group)

int
Ns_GetUid(char *user)

int
Ns_GetUserGid(char *user)

int
Ns_GetUserHome(Ns_DString *pds, char *user)

DESCRIPTION

Ns_GetGid(group)
    Return the running server's Unix group id.

Ns_GetUid(user)
    Return the running server's Unix user id.

Ns_GetUserGid(user)
    Return the Unix group id for the given user.

Ns_GetUserHome(pds, user)
    The Ns_GetUserHome function returns NS_TRUE and appends the user's home directory to the Ns_DString passed in, or it returns NS_FALSE if the user does not exist.

SEE ALSO
nsd(1), info(n)

KEYWORDS